%global _empty_manifest_terminate_build 0
Name:		python-jaraco-collections
Version:	3.5.1
Release:	1
Summary:	Collection objects similar to those in stdlib by jaraco
License:	MIT
URL:		https://github.com/jaraco/jaraco.collections
Source0:	https://github.com/jaraco/jaraco.collections/archive/refs/tags/v3.5.1.tar.gz
BuildArch:	noarch

Requires:	python3-sphinx
Requires:	python3-pytest
Requires:	python3-pytest-checkdocs
Requires:	python3-pytest-flake8
Requires:	python3-pytest-cov
Requires:	python3-pytest-enabler
Requires:	python3-pytest-black
Requires:	python3-pytest-mypy

%description
A dictionary-like object that maps a range of values to a given value.

%package -n python3-jaraco-collections
Summary:	Collection objects similar to those in stdlib by jaraco
Provides:	python-jaraco-collections
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-jaraco-collections
A dictionary-like object that maps a range of values to a given value.

%package help
Summary:	Development documents and examples for jaraco.collections
Provides:	python3-jaraco-collections-doc
%description help
A dictionary-like object that maps a range of values to a given value.

%prep
%autosetup -n jaraco.collections-3.5.1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-jaraco-collections -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Oct 27 2022 yaoxin <yaoxin30@h-partners.com> - 3.5.1-1
- Upgrade to version 3.5.1

* Mon Jan 10 2022 baizhonggui <baizhonggui@huawei.com>
- fix build error

* Mon Nov 16 2020 Python_Bot <Python_Bot@openeuler.org>
- Package init
